Subject: [ipfix-req] Section regarding multicast flows

From: Benoit Claise <[email-masked]>
Date: Fri, 26 Jul 2002 10:21:27 +0200

Dave and All,

Trying to incorporate all the proposed changes discussed both at the IETF meeting and on the mailing list in the new requirement draft version, 
I think that we should add a new section on multicast

5.7 Multicast Flows

For a multicast packet replicated to multiple output interfaces, the metering 
process SHOULD maintain discrete flow records per different egress ifIndexes.
For example an incoming multicast packet that is
replicated to four output interfaces would be reported in four
different flow records that differ by the output interface.
In case the metering process doesn't maintain and report discrete flow records 
per different egress ifIndexes for a multicast flow, the metering process 
SHOULD export the multicast replication factor in the flow record.

Furthermore, some extra changes are needed
The requirement draft was saying:

    6.1.  Information Model
    ...
    The exporting process MUST be able to report the following attributes
    for each measured flow:
    ...
    8. output interface (ifIndex)
    This requirement does not apply if the observation point is
    located at a probe device. This requirement does not apply
    in case of multicast flow records.
    ...
    The exporting process MAY be able to report the following attributes
    for each measured flow:
    ...
    25. multicast replication factor
    the number of outgoing packets originating from a single
    incoming multicast packet

    26. list of output interfaces for a multicast flow

I would propose:

    6.1.  Information Model
    ...
    The exporting process MUST be able to report the following attributes
    for each measured flow:
    ...
    8. output interface (ifIndex)
    This requirement does not apply if the observation point is
    located at a probe device. _(ATTENTION: I REMOVED THE LINE ABOUT MULTICAST)_
    ...
    The exporting process _SHOULD_ be able to report the following attributes
    for each measured flow:
    ...
    X. multicast replication factor
    The number of outgoing packets originating from a single
    incoming multicast packet. This _multicast_ replication factor SHOULD be reported,
    but only SHOULD if the list of output interfaces for this multicast 
    flow is not reported.

    _X+1. list of output interfaces for a multicast flow _(I WOULD REMOVE IT
    BECAUSE THIS IS EXPLAINED IN THE MULTICAST FLOW SECTION AND THE LIMITATION
    IN THE OUTPUT INTERFACE SECTION ABOVE IS REMOVED)

What do you think?

Regards, Benoit

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/

---

From: Juergen Quittek <[email-masked]>
Date: Fri, 26 Jul 2002 15:01:33 +0200

Hi Benoit,

--On 26 July 2002 10:21 +0200 Benoit Claise <[email-masked]> wrote:

>
>
> Dave and All,
>
> Trying to incorporate all the proposed changes discussed both at the IETF meeting and on the mailing list in the new requirement draft version, I think that we should add a new section on multicast
>
> 5.7 Multicast Flows

Yes section 5. is the right place to put something, because
we require something additional from the metering process.

> For a multicast packet replicated to multiple output interfaces,

suggestion: "For a multicast packet" -> "For multicast flows containing packets"

> the metering process SHOULD maintain discrete flow records per
> different egress ifIndexes.

suggestion: "egress ifIndexes" -> "output interface"
[this would be consistent with terminology in the rest of the document.]

> different flow records that differ by the output interface.

Fine.

> In case the metering process doesn't maintain and report discrete
> flow records per different egress ifIndexes for a multicast flow,
> the metering process SHOULD export the multicast replication
> factor in the flow record.

I do not like the idea of saying: we have a SHOULD requirement, but
in case it is not met there is another SHOULD requirement. This is
complicated and I am not sure how well is matches the SHOULD definition
in RFC2119.

I would rather suggest to uncouple of these two points:
1. In the new section 5.7 we state that the metering process SHOULD be able
   to produce individual records per output interface
2. In section 6.1 (Information Model) we have the multiplication factor
   as a SHOULD (or MAY?) requirement for the list of available flow attributes.

>     located at a probe device. _(ATTENTION: I REMOVED THE LINE ABOUT MULTICAST)_

agreed

>     but only SHOULD if the list of output interfaces for this multicast     flow is not reported.

Again I would decouple it and do not talk about the other SHOULD issue,
but instead give some more explanation, for example:
      The number of outgoing packets originating from a single
      incoming multicast packets. This is a dynamic property of multicast
      flows, that may change over time. For unicast flows it has the constant
      value 1.

>     IN THE OUTPUT INTERFACE SECTION ABOVE IS REMOVED)

agreed

    Juergen

---

From: Benoit Claise <[email-masked]>
Date: Tue, 30 Jul 2002 13:52:32 +0200

Juergen,

>> Trying to incorporate all the proposed changes discussed both at the 
>> IETF meeting and on the mailing list in the new requirement draft 
>> version, I think that we should add a new section on multicast
>>
>> 5.7 Multicast Flows
>
>

OK.

> [this would be consistent with terminology in the rest of the document.] 

OK.

>   as a SHOULD (or MAY?) requirement for the list of available flow 

Maybe you should propose the entire text you have in mind to the mailing 
list .
And we would start from there/compare the 2 versions.

Regards, Benoit.

---

From: Juergen Quittek <[email-masked]>
Date: Tue, 30 Jul 2002 14:47:20 +0200

Hi Benoit,

here is my proposal for the text,
based on the discussed earlier versions:

In Section 5. Metering Process:

   5.7. Multicast Flows

      For multicast flows containing packets replicated to multiple
      output interfaces, the metering process SHOULD be able to
      maintain discrete flow records per different output interface.
      For example, the metering process SHOULD be able to report
      an incoming multicast packet that is replicated to four output
      interfaces in four different flow records that differ by the
      output interface.

In Section 6.1 Information Model

      The exporting process SHOULD be able to report the following
      attributes for each measured flow:

      20. multicast replication factor
          the number of outgoing packets originating from a single
          incoming multicast packet. Note that this factor varies
          over time.

Who likes to see something else for covering multicast measurements?

    Juergen

--On 30 July 2002 13:52 +0200 Benoit Claise <[email-masked]> wrote:

> Maybe you should propose the entire text you have in mind to the mailing list .